#include <iostream>
#include <vector>
using namespace std;

int check(const vector<int>& nizStaklatita, int pericinaVisina) {
    for (int i = 0; i < nizStaklatita.size(); i++) {
        if (nizStaklatita[i] <= pericinaVisina) {
            return i + 1;
        }
    }
    return -1;
}

int main() {
    int N, L;
    cin >> N >> L;

    vector<int> nizStaklatita(N);
    for (int i = 0; i < N; i++) {
        cin >> nizStaklatita[i];
    }

    cout << check(nizStaklatita, L) << endl;

    return 0;
}